<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <meta name="viewport"
        content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>School - Students</title>
  <link rel="stylesheet" href="css/bootstrap.min.css"/>
  <link rel="stylesheet" href="css/product.css"/>
  <style>
    main {
      padding-top: 1em;
      padding-left: 2em;
      padding-right: 2em;
    }
  </style>
</head>
<body>
<nav class="site-header sticky-top py-1">
  <div class="container d-flex flex-column flex-md-row justify-content-between">
    <a class="py-2" href="#">
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" class="d-block mx-auto" role="img" viewBox="0 0 24 24" focusable="false"><title>Product</title><circle cx="12" cy="12" r="10"/><path d="M14.31 8l5.74 9.94M9.69 8h11.48M7.38 12l5.74-9.94M9.69 16L3.95 6.06M14.31 16H2.83m13.79-4l-5.74 9.94"/></svg>
    </a>
    <a class="py-2 d-none d-md-inline-block" href="#" th:href="@{/}">Home</a>
    <a class="py-2 d-none d-md-inline-block" href="#" th:href="@{/students}">Students</a>
    <a class="py-2 d-none d-md-inline-block" href="#" th:href="@{/logout}">Logout</a>
  </div>
</nav>

<main>
  <h2>Students</h2>
  <div class="table-responsive">
    <table class="table table-striped table-sm">
      <thead>
      <tr>
        <th>#</th>
        <th>First Name</th>
        <th>Last Name</th>
        <th>Subjects</th>
      </tr>
      </thead>
      <tbody>
      <tr th:each="student,iter: ${students}">
        <td th:text="${iter.index + 1}">1</td>
        <td th:text="${student.firstName}">Jessy</td>
        <td th:text="${student.lastName}">Mendiola</td>
        <td>
          <span th:each="subject,iter: ${student.getSubjects()}">
            <span th:text="${subject.getName()}">Subject 1</span>
            <span th:if="${!iter.last}">,</span>
          </span>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
</main>

<script src="js/jquery-3.3.1.slim.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
</body>
</html>
